:root {
  --scipost-darkblue: #002b49;
  --scipost-blue: #6885c3;
  --scipost-lightblue: #C3D7EE;
  --scipost-orange: #f6a11a;
  --transparent: #fffff00;

  --color-progress-bar: var(--scipost-orange);

  --body-sans-font: Merriweather Sans, sans-serif;
  --body-preformatted-font: Iosevka Curly Iaso, monospace;
  --body-title-font: Merriweather Sans, sans-serif;

  --background: var(--scipost-darkblue);
  --text: var(--scipost-lightblue);
  --text-selection: var(--scipost-blue);
  --preformatted-background: var(--transparent);
  --link-foreground: var(--scipost-blue);
  --link-background: var(--transparent);
  --blockquote-border-left: 1px solid var(--transparent);

  --progress-bar-outline: var(--color-progress-bar) solid 4px;
  --progress-bar-fill: var(--color-progress-bar);
}
@media (prefers-color-scheme: light) {
  :root {
    --color-progress-bar: var(--scipost-darkblue);

    --background: var(--scipost-lightblue);
    --text: var(--scipost-darkblue);
    --text-selection: var(--scipost-blue);
    --preformatted-background: var(--transparent);
    --link-foreground: var(--scipost-blue);
    --link-background: var(--transparent);
    --blockquote-border-left: 1px solid var(--transparent);
  }
}


@font-face {
  font-family: "Merriweather Sans";
  font-style: normal;
  font-weight: 300 800;
  font-display: swap;
  src: url('https://fonts.googleapis.com/css2?family=Merriweather+Sans:ital,wght@0,300..800;1,300..800&display=swap');
}

@font-face {
  font-family: "Iosevka Curly";
  font-style: monospace;
  font-display: swap;
  src: url("./static/iosevka-curly.woff2") format("woff2");
}

main {
  font-family: var(--body-sans-font);
  max-width: 50rem;
  padding: 2rem;
  margin: auto;
}

::selection {
  background: var(--text-selection);
}

body {
  background: var(--background);
  color: var(--text);
}

body,
html {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}

.centered-div {
  text-align: center;
}

#status {
  font-variant-numeric: tabular-nums;
}

#progress {
  display: none;
  width: min(20rem, 90%);
  height: 2rem;
  border-radius: 1rem;
  overflow: hidden;
  margin: 1rem 0 2rem;
  outline-offset: 2px;
  outline: var(--progress-bar-outline);
}

.bar-inner {
  background-color: var(--progress-bar-fill);
  height: 100%;
  width: 0;
  transition: width 0.25s ease-in;
}

@media (prefers-reduced-motion: no-preference) {
  .bar-inner {
    transition: width 0.25s ease-in;
  }
}

pre {
  background-color: var(--preformatted-background);
  padding: 1em;
  border: 0;
  font-family: var(--body-preformatted-font);
}

a,
a:active,
a:visited {
  color: var(--link-foreground);
  background-color: var(--link-background);
}

h1,
h2,
h3,
h4,
h5 {
  margin-bottom: 1rem;
  font-family: var(--body-title-font);
}

blockquote {
  border-left: var(--blockquote-border-left);
  margin: 0.5em 10px;
  padding: 0.5em 10px;
}

footer {
  text-align: center;
}
